[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TListItem.Selected

Whether this Item has been Selected (often denoted by a check-mark).

## Declaration

Source position: comctrls.pp line 1085

`public property TListItem.Selected : Boolean index lisSelected read GetState write SetState;`

## Description

Selected is a Boolean property which indicates if the list item has been selected. The property value is determined by examining the internal TListItemStates set for the class instance. When lisSelected has been included in the state values, the property is True. Otherwise, the property is False.

Setting a new value for the property causes the value lisSelected to be included in or removed from the internal set. AIsSet indicates whether the state value is set. When True, the state value is included in the set. Otherwise, the state value is excluded.